<div class="row justify-content-center mt-4">

  <div class="col-lg-8">

    <form *ngIf="obj" #objForm=ngForm (ngSubmit)="save()" class="mb-0">

      <div class="form-row justify-content-center">
        <div class="form-group col-md-12">
          <label for="question" class="control-label">Question</label>
          <textarea [(ngModel)]="obj.question" name="question" class="form-control form-control-sm" rows="8"></textarea>
          <span class="text-danger" [hidden]="!error.question">{{ error.question }}</span>
        </div>
      </div>
      <div class="form-row ">
        <div class="col-md-3">
          <label for="points" class="control-label mb-1">Points</label>
          <input [(ngModel)]="obj.points" name="points" type="text" class="form-control form-control-sm">
          <span class="text-danger" [hidden]="!error.points">{{ error.points }}</span>

        </div>

      </div>
      <div class="form-row justify-content-center my-4">
        <button type="submit" [disabled]="!objForm.valid" class="btn btn-primary btn-flat btn-sm py-1 small">
          <span class="fa fa-save"></span>
          Save
        </button>
        <button [routerLink]="[(obj.id) ? '../../' :'../']" type="button" class="btn btn-danger btn-flat btn-sm py-1 small">
          <span class="fa fa-times"></span>
          Cancel
        </button>
      </div>

    </form>
  </div>
</div>